'Newland.CityTheme:Slider':
  superTypes:
    'Neos.Neos:Content': true

  ui:
    label: i18n
    icon: th
    group: 'structure'
    inspector:
      groups:
        grid:
          label: Grid
          icon: th
    position: 9

  properties:
    buttonText:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: link
    buttonLink:
      type: string
      ui:
        label: i18n
        inspector:
          editor: Neos.Neos/Inspector/Editors/LinkEditor
          group: link

  childNodes:
    items:
      type: Neos.Neos:ContentCollection
      constraints:
        nodeTypes:
          '*': false
          'Newland.CityTheme:SliderTeaser': true
